Summary: Tool for memory profiling and leak detection
Name: memprof
Version: 0.5.1
Release: 5
# Serial is one for historical Red Hat reasons
Serial: 1
License: GPL
Group: Development/Debuggers
Source: memprof-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: i386

# Force static linking against libbfd, even though libtool isn't cooperative
Patch1: memprof-forcestatic.patch
Patch2: memprof-debuginfo.patch

BuildRequires: libgnomeui-devel >= 2.0.0
BuildRequires: libglade2-devel >= 2.0.0
BuildRequires: autoconf libtool automake

%description
Memprof is a tool for profiling memory usage and
detecting memory leaks. It can be used with existing
binaries without need for recompilation.
%prep
%setup -q
%patch1 -b .forcestatic -p1 
%patch2 -b .debuginfo -p1 

%build
# .forcestatic patch changes configure.in
# .debuginfo patch changes configure.in, config.h, aclocal.m4
aclocal
libtoolize --force
autoheader
autoconf
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Remove files we don't package.
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmemintercept.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmemintercept.la

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="memprof.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%files -f %{name}.lang
%defattr(-, root, root)

%doc README AUTHORS NEWS
%{_bindir}/*
%{_libdir}/libmemintercept.so
%{_datadir}/pixmaps/memprof.png
%{_datadir}/applications/memprof.desktop
%{_datadir}/memprof
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 24 2003 Owen Taylor <otaylor@redhat.com>
- Add patch to support separate debug info

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 16 2002 Owen Taylor <otaylor@redhat.com>
- Update to 0.5.1
- Force static linking against libbfd

* Sat Nov 30 2002 Tim Powers <timp@redhat.com> 1:0.5.0-4
- rebuild against current libbfd

* Thu Nov  7 2002 Nalin Dahyabhai <nalin@redhat.com>
- Remove files during %%install which we don't ultimately include in
  the package.

* Wed Aug 14 2002 Owen Taylor <otaylor@redhat.com>
- Update to 0.5.0
- Add a big patch to fix for C++, threads from CVS

* Sat Aug 10 2002 Owen Taylor <otaylor@redhat.com>
- Cleanups from Red Hat spec file, minor fixes.

* Sat Aug 10 2002 Kristian Rietveld <kris@gtk.org>
- Version 0.5.0
- Updates deps, files and handle installation of gconf schemas.

* Fri Feb 09 2001 Owen Taylor <otaylor@redhat.com>
- Version 0.4.1

* Sat Jul 08 2000 Owen Taylor <otaylor@redhat.com>
- Some cleanups, reenable local files

* Wed Nov 10 1999 Owen Taylor <otaylor@redhat.com>
  (From Nils Philippsen <nils@wombat.dialup.fht-esslingen.de>)
- Added %defattr() so that files are owned by root
- Only require libglade >= 0.7, not >= 0.7-1
  (From mkj@redhat.com)
- ExclusiveArch: i386
- Changed group to Development/Debuggers

* Wed Oct 27 1999 Owen Taylor <otaylor@redhat.com>
- Initial package
